Bug 17608 - Packagekit instalation problem
Summary: Packagekit instalation problem
Status: RESOLVED FIXED
Alias: None
Product: PackageKit
Classification: Unclassified
Component: backend-yum (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: Richard Hughes
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-09-16 07:13 UTC by Fabio
Modified: 2008-10-13 06:30 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fabio 2008-09-16 07:13:06 UTC
First:

Error Type: <class 'yum.Errors.MiscError'>
Error Value: Could not open local rpm file: /tmp/flash-plugin-9.0.124.0-release.i386.rpm
  File : /usr/share/PackageKit/helpers/yum/install-files.py , line 20, in <module>
    backend.install_files(trusted, files_to_inst)
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py , line 989, in install_files
    po = YumLocalPackage(ts=self.yumbase.rpmdb.readOnlyTS(), filename=inst_file)
  File : /usr/lib/python2.5/site-packages/yum/packages.py , line 1461, in __init__
    'Could not open local rpm file: $s' $ self.localpath


Second:

Error Type: <class 'yum.Errors.MiscError'>
Error Value: Could not open local rpm file: /tmp/adobe-release-i386-1.0-1.noarch.rpm
  File : /usr/share/PackageKit/helpers/yum/install-files.py , line 20, in <module>
    backend.install_files(trusted, files_to_inst)
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py , line 989, in install_files
    po = YumLocalPackage(ts=self.yumbase.rpmdb.readOnlyTS(), filename=inst_file)
  File : /usr/lib/python2.5/site-packages/yum/packages.py , line 1461, in __init__
    'Could not open local rpm file: $s' $ self.localpath
Comment 1 Thomas 2008-10-03 16:30:11 UTC
After getting this error I noticed my rpm was a 0 byte file. Should make it easy to reproduce.
Comment 2 Richard Hughes 2008-10-04 13:28:29 UTC
I've fixed this in 0.3.4 -- I'll backport packages to F9 RSN.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.